RESTinio

Classes | Typedefs
restinio::router::impl Namespace Reference

## Classes
class | allocated_matcher_proxy_t
| A proxy for actual method_matcher that will be allocated in dynamic memory. More...
class | buffered_matcher_holder_t
| A special class that allows to hold a copy of small-size method_matchers or a pointer to dynamically allocated large-size method_matchers. More...
class | fixed_size_any_of_matcher_t
| A matcher that finds a value in the vector of allowed values of fixed size. More...
class | fixed_size_none_of_matcher_t
| A matcher that finds a value in the vector of disabled values of fixed size. More...
class | route_matcher_t
| A matcher for a given path. More...
struct | route_params_accessor_t
| Route params private internals accessor. More...
class | route_params_appender_t
| Helper class for gthering parameters from route. More...
class | simple_matcher_t
| A simple method_matcher that compares just one user-specified value. More...
class | target_path_holder_t
| Helper class for holding a unique instance of char array with target_path value. More...

## Typedefs
using | param_appender_sequence_t = path2regex::param_appender_sequence_t< route_params_appender_t >

## Typedef Documentation

## ◆ param_appender_sequence_t

using restinio::router::impl::param_appender_sequence_t = typedef path2regex::param_appender_sequence_t< route_params_appender_t >

Definition at line 272 of file express.hpp.